Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.config
Interface IdeConfigEditor

public interface IdeConfigEditor

A pane with tabbed pages containing properties and their values available for editing.

Each page has its internal name and a title displaying on the tab.

This interface allows to add and to remove `PropertyChangeListener`s.

`IdeConfigManager` is responsible for displaying `IdeConfigEditor` objects.

Author:
  TogetherSoft
See Also: IdeConfigManager

Method Summary
`void` | `addPage(Component page, String name, String title)` Adds a page to this `IdeConfigEditor`.
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds `PropertyChangeListener`.
`void` | `discardChanges()` Drops the changes made in the properties and restores their original values.
`Component` | `getUIComponent()` Returns the parent `Component` for this `IdeConfigEditor`.
`boolean` | `isAdvanced()` Checks whether this `IdeConfigEditor` is in the advanced mode.
`boolean` | `isPageVisible(String name)` Checks whether the specified page is visible or not.
`StringEnumeration` | `pageNames()` Returns an enumeration of strings with the names of the pages in this `IdeConfigEditor`.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes `PropertyChangeListener`.
`void` | `saveChanges()` Saves the changes made in the properties.
`void` | `setAdvanced(boolean value)` Sets advanced mode - in this mode some additional information will be added to the pages.
`void` | `setPageVisible(String name, boolean value)` Sets the visibility for the specified page.

Method Detail

### addPage

    public void addPage(Component page, String name, String title)

  Adds a page to this `IdeConfigEditor`.
  Parameters:
    page - the user's `Component` object.
    name - the string with the name of the new page
    title - the string with the title of the new page which will be displayed on the tab

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Adds `PropertyChangeListener`.

### discardChanges

    public void discardChanges()

  Drops the changes made in the properties and restores their original values.
  See Also:
    saveChanges()

### getUIComponent

    public Component getUIComponent()

  Returns the parent `Component` for this `IdeConfigEditor`.
  Returns: the parent `Component` for this `IdeConfigEditor`

### isAdvanced

    public boolean isAdvanced()

  Checks whether this `IdeConfigEditor` is in the advanced mode.
  Returns: `true` if this `IdeConfigEditor` is in the advanced mode, `false` otherwise

### isPageVisible

    public boolean isPageVisible(String name)

  Checks whether the specified page is visible or not.
  Parameters:
    name - the string with the name of a page
  Returns: `true` if the specified page is visible, `false` otherwise

### pageNames

    public StringEnumeration pageNames()

  Returns an enumeration of strings with the names of the pages in this `IdeConfigEditor`.
  Returns: an enumeration of strings with the names of the pages in this `IdeConfigEditor`

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Removes `PropertyChangeListener`.

### saveChanges

    public void saveChanges()

  Saves the changes made in the properties.
  See Also:
    discardChanges()

### setAdvanced

    public void setAdvanced(boolean value)

  Sets advanced mode - in this mode some additional information will be added to the pages.
  Parameters:
    value - The boolean flag. If `true` then this `IdeConfigEditor` will be switched to the advanced mode, regular mode otherwise.

### setPageVisible

    public void setPageVisible(String name, boolean value)

  Sets the visibility for the specified page.
  Parameters:
    name - the string with the name of a page
    value - The boolean flag. If `true` then the page will be made visible, invisible otherwise.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD